## clapper 0.5.2

=== meson_options.txt ===
option('player',
  type: 'boolean',
  value: true,
  description: 'Build Clapper player'
)
option('lib',
  type: 'boolean',
  value: true,
  description: 'Build GstClapper lib'
)
option('gst-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build GStreamer plugin (includes GTK video sink element)'
)

option('glimporter',
  type: 'feature',
  value: 'auto',
  description: 'Build GL memory importer for clappersink'
)
option('gluploader',
  type: 'feature',
  value: 'auto',
  description: 'Build GL uploader for clappersink'
)
option('rawimporter',
  type: 'feature',
  value: 'auto',
  description: 'Build RAW system memory importer for clappersink'
)

option('devel-checks',
  type: 'boolean',
  value: false,
  description: 'GStreamer GLib checks and asserts such as API guards (disable for stable releases)'
)
option('deprecated-glib-api',
  type: 'boolean',
  value: true,
  description: 'Allow using of deprecated GLib API'
)

=== debian/changelog ===
clapper (0.5.2-7) unstable; urgency=medium

  * add workaround for https://github.com/Rafostar/clapper/issues/76
    by allowing one to set CLAPPER_DEBIAN_SINGLE_INSTANCE_BREAK_DBUS_MPRIS=1
    as a temporary hack for multiple instances with the side-effect of
    breaking D-Bus and MPRIS support.

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 01 Feb 2023 07:43:33 +0100

clapper (0.5.2-6) unstable; urgency=medium

  * add Depends on gir1.2-soup-3.0 for remote control support

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 29 Jan 2023 20:15:17 +0100

clapper (0.5.2-5) unstable; urgency=medium

  * add patch disabling network access (closes: #1016298)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 30 Jul 2022 21:23:19 +0200

clapper (0.5.2-4) unstable; urgency=medium

  * debian/control: add missing depends and recommends

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 12 Jul 2022 10:03:25 +0200

clapper (0.5.2-3) unstable; urgency=medium

  * override library-not-linked-against-libc
  * override very-long-line-length-in-source-file
  * override tags related to not splitting out shared library into an extra package
  * debian/salsa-ci.yml: disable cross compilation on salsaci

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 10 Jul 2022 22:57:30 +0200

clapper (0.5.2-2) unstable; urgency=medium

  * source-only upload for testing migration

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 08 Jul 2022 06:40:22 +0200

clapper (0.5.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1003838)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 27 Jun 2022 17:20:05 +0100

=== debian/control ===
Source: clapper
Build-Depends:
 appstream-util,
 cmake,
 debhelper-compat (= 13),
 gjs,
 gobject-introspection,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-4-dev,
 meson,
Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
Standards-Version: 4.6.1.0
Priority: optional
Section: misc
Vcs-Browser: https://salsa.debian.org/gnome-team/clapper
Vcs-Git: https://salsa.debian.org/gnome-team/clapper.git
Homepage: https://rafostar.github.io/clapper
Rules-Requires-Root: no

Package: clapper
Architecture: any
Depends:
 gir1.2-adw-1,
 gir1.2-gst-plugins-base-1.0,
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-4.0,
 gir1.2-soup-3.0,
 gjs,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
Description: Simple and modern GNOME media player
 Clapper is a GNOME media player built using GJS with GTK4 toolkit.
 The media player is using GStreamer as a media backend and renders
 everything via OpenGL. Player works natively on both Xorg and Wayland.
 It also supports hardware acceleration through VA-API on AMD/Intel GPUs,
 NVDEC on Nvidia and V4L2 on mobile devices.
 .
 The media player has an adaptive GUI. When viewing videos in "Windowed Mode",
 Clapper will use mostly unmodified GTK widgets to match your OS look nicely.
 When player enters "Fullscreen Mode" all GUI elements will become darker,
 bigger and semi-transparent for your viewing comfort. It also has a "Floating
 Mode" which displays only video on top of all other windows for a PiP-like
 viewing experience. Mobile friendly transitions are also supported.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/Rafostar/clapper/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## clapper 0.6.1

=== meson_options.txt ===
# Build
option('clapper',
  type: 'feature',
  value: 'auto',
  description: 'Build Clapper library'
)
option('clapper-gtk',
  type: 'feature',
  value: 'auto',
  description: 'Build Clapper GTK integration library'
)
option('clapper-app',
  type: 'feature',
  value: 'auto',
  description: 'Build Clapper application'
)
option('gst-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build GStreamer plugin (includes GTK video sink element)'
)
option('introspection',
  type: 'feature',
  value: 'auto',
  description: 'Build GObject Introspection data'
)
option('vapi',
  type: 'feature',
  value: 'auto',
  description: 'Build Vala bindings'
)
option('doc',
  type: 'boolean',
  value: false,
  description: 'Build documentation'
)

# Features
option('discoverer',
  type: 'feature',
  value: 'auto',
  description: 'Build Clapper Discoverer feature'
)
option('mpris',
  type: 'feature',
  value: 'auto',
  description: 'Build Clapper MPRIS feature'
)
option('server',
  type: 'feature',
  value: 'auto',
  description: 'Build Clapper Server feature'
)

# GStreamer plugin options
option('glimporter',
  type: 'feature',
  value: 'auto',
  description: 'Build GL memory importer for clappersink'
)
option('gluploader',
  type: 'feature',
  value: 'auto',
  description: 'Build GL uploader for clappersink'
)
option('rawimporter',
  type: 'feature',
  value: 'auto',
  description: 'Build RAW system memory importer for clappersink'
)

=== debian/changelog ===
clapper (0.6.1-4) unstable; urgency=medium

  * B-D on libsoup-3.0-dev and libmicrodns-dev and enable server

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 20 Jul 2024 08:37:34 +0200

clapper (0.6.1-3) unstable; urgency=medium

  * fixup bug number in last changelog entry

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 13 Jul 2024 02:01:28 +0200

clapper (0.6.1-2) unstable; urgency=medium

  * add (superficial) autopkgtest
  * debian/rules: use --auto-features=enabled (Closes: #1076230)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 13 Jul 2024 01:55:26 +0200

clapper (0.6.1-1) unstable; urgency=medium

  * New upstream release (closes: #1073926)
  * drop patches
  * adjust lintian overrides for new shared libraries
  * debian/copyright: adjust paths for new source layout
  * debian/control: remove gjs and reword description
  * debian/upstream/metadata: add Donation field

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 09 Jul 2024 07:01:27 +0200

clapper (0.5.2-8) unstable; urgency=medium

  [ Amin Bandali ]
  * Change debian-branch from debian/master to debian/latest

  [ Johannes Schauer Marin Rodrigues ]
  * debian/control: bump Standards-Version (no changes)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 15 Feb 2024 09:44:24 +0100

=== debian/control ===
Source: clapper
Build-Depends:
 appstream-util,
 cmake,
 debhelper-compat (= 13),
 desktop-file-utils,
 gobject-introspection,
 libadwaita-1-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-4-dev,
 libmicrodns-dev,
 libsoup-3.0-dev,
 meson,
 valac,
Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
Standards-Version: 4.6.2
Priority: optional
Section: misc
Vcs-Browser: https://salsa.debian.org/gnome-team/clapper
Vcs-Git: https://salsa.debian.org/gnome-team/clapper.git
Homepage: https://rafostar.github.io/clapper
Rules-Requires-Root: no

Package: clapper
Architecture: any
Depends:
 gir1.2-adw-1,
 gir1.2-gst-plugins-base-1.0,
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-4.0,
 gir1.2-soup-3.0,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-libav,
 gstreamer1.0-plugins-bad,
Description: Simple and modern GNOME media player
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# --auto-features=enabled will be the default in dh compat 14, see #1030011
override_dh_auto_configure:
	dh_auto_configure -- --auto-features=enabled

%:
	dh $@

=== debian/tests/control ===
Tests: smoke
Depends:
 clapper,
Restrictions: superficial, allow-stderr

## clapper 0.8.0

=== meson_options.txt ===
--- 
+++ 
@@ -35,6 +35,13 @@
   description: 'Build documentation'
 )
 
+# Functionalities
+option('enhancers-loader',
+  type: 'feature',
+  value: 'enabled',
+  description: 'Ability to load libpeas based plugins that enhance capabilities'
+)
+
 # Features
 option('discoverer',
   type: 'feature',

=== debian/changelog ===
clapper (0.8.0-3) unstable; urgency=medium

  * Split into separate packages so that library can be used by other apps
    (Closes: #1077812)
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jan 2026 11:40:21 -0500

clapper (0.8.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 10:59:15 +0200

clapper (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * debian/tests/control: wrap-and-sort -astb
  * debian/patches: add clapper-enhancers-0.8.2
  * debian/control: bump Standards-Version
  * debian/copyright: update FSF address
  * debian/clapper.examples: install examples
  * make GNOME team the maintainer and add Jeremy Bícha into Uploaders

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 17 Apr 2025 23:13:07 +0200

=== debian/control ===
Source: clapper
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 appstream,
 desktop-file-utils,
 gir1.2-gio-2.0-dev,
 gir1.2-gobject-2.0-dev,
 gir1.2-gst-1.0-dev,
 gir1.2-gstaudio-1.0-dev,
 gir1.2-gstbase-1.0-dev,
 gir1.2-gstpbutils-1.0-dev,
 gir1.2-gsttag-1.0-dev,
 gir1.2-gtk-4.0-dev,
 graphviz,
 libadwaita-1-dev,
 libglib2.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-4-dev,
 libjson-glib-dev,
 libmicrodns-dev,
 libpeas-2-dev,
 libsoup-3.0-dev,
 meson,
 pkgconf,
 valac
Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
Uploaders:
 Johannes Schauer Marin Rodrigues <josch@debian.org>,
 Jeremy Bícha <jbicha@ubuntu.com>
Standards-Version: 4.7.3
Section: misc
Vcs-Browser: https://salsa.debian.org/gnome-team/extras/clapper
Vcs-Git: https://salsa.debian.org/gnome-team/extras/clapper.git
Homepage: https://rafostar.github.io/clapper

Package: clapper
Architecture: any
Depends: gstreamer1.0-plugins-good, ${misc:Depends}, ${shlibs:Depends}
Recommends: clapper-enhancers, gstreamer1.0-libav, gstreamer1.0-plugins-bad
Description: Simple and modern GNOME media player
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.

Package: clapper-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: clapper (<< 0.8.0-3~)
Replaces: clapper (<< 0.8.0-3~)
Description: Simple and modern GNOME media player - common files
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package contains architecture-independent files such as translations.

Package: clapper-enhancers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple and modern GNOME media player - plugins
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package contains plugins that enhance the capabilities of Clapper.

Package: gir1.2-clapper-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Breaks: clapper (<< 0.8.0-3~)
Replaces: clapper (<< 0.8.0-3~)
Description: GObject introspection data for the clapper library
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libclapper.

Package: gir1.2-clappergtk-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for the clapper-gtk library
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libclapper-gtk.

Package: libclapper-0.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 clapper-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: clapper (<< 0.8.0-3~)
Replaces: clapper (<< 0.8.0-3~)
Description: Media player library used by Clapper
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package contains a media player library.

Package: libclapper-gtk-0.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK integration library used by Clapper
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package contains a GTK integration library.

Package: libclapper-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libclapper-0.0-0 (= ${binary:Version}),
 libglib2.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libmicrodns-dev,
 libpeas-2-dev,
 libsoup-3.0-dev,
 ${gir:Depends},
 ${misc:Depends}
Provides: ${gir:Provides}
Breaks: clapper (<< 0.8.0-3~)
Replaces: clapper (<< 0.8.0-3~)
Description: Media player library used by Clapper - development files
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package provides the development files for libclapper.

Package: libclapper-gtk-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libclapper-dev (= ${binary:Version}),
 libclapper-gtk-0.0-0 (= ${binary:Version}),
 libgtk-4-dev,
 ${gir:Depends},
 ${misc:Depends}
Provides: ${gir:Provides}
Breaks: clapper (<< 0.8.0-3~)
Replaces: clapper (<< 0.8.0-3~)
Description: GTK integration library used by Clapper - development files
 Clapper is a modern media player designed for simplicity and ease of use.
 Powered by GStreamer and built for the GNOME desktop environment using GTK4
 toolkit, it has a clean and stylish interface that lets you focus on enjoying
 your favorite videos. This application aim is to offer all the essentials
 features you'd expect from a video player in a simple form. Clapper uses a
 playback queue where you can add multiple media files. Think of it like a
 playlist that you can build. You can easily reorder items or remove them from
 the queue with a simple drag and drop operation. It also supports hardware
 acceleration through VA-API on AMD/Intel GPUs, NVDEC on Nvidia and V4L2 on
 mobile devices.
 .
 This package provides the development files for libclapper-gtk.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --auto-features=enabled

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/clapper-0.0 -Xgstreamer-1.0

## --auto-features=enabled will be the default in dh compat 14, see #1030011
#override_dh_auto_configure:
#	dh_auto_configure \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper \
#		--sourcedirectory=$(CURDIR) \
#		-- \
#		--auto-features=enabled
#
#override_dh_auto_build:
#	dh_auto_build \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper \
#		--sourcedirectory=$(CURDIR)
#	# we must run dh_auto_configure for clapper-enhancers inside
#	# dh_auto_build because the configure for clapper-enhancers needs
#	# the clapper build to be finished
#	#
#	# use clapper-*.pc files from meson-uninstalled to let pkgconf find
#	# the not-yet-installed clapper library
#	# https://mesonbuild.com/Pkgconfig-module.html
#	env PKG_CONFIG_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper/meson-uninstalled \
#		dh_auto_configure \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper-enhancers \
#		--sourcedirectory=$(CURDIR)/clapper-enhancers-0.8.2 \
#		-- \
#		--auto-features=enabled \
#		-Denhancersdir=/usr/lib/aarch64-linux-gnu/clapper-0.0/enhancers
#	dh_auto_build \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper-enhancers \
#		--sourcedirectory=$(CURDIR)/clapper-enhancers-0.8.2 \
#
#override_dh_auto_install:
#	dh_auto_install \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper \
#		--sourcedirectory=$(CURDIR)
#	dh_auto_install \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper-enhancers \
#		--sourcedirectory=$(CURDIR)/clapper-enhancers-0.8.2 \
#
#override_dh_auto_clean:
#	dh_auto_clean \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper \
#		--sourcedirectory=$(CURDIR)
#	dh_auto_clean \
#		--builddirectory=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)-clapper-enhancers \
#		--sourcedirectory=$(CURDIR)/clapper-enhancers-0.8.2 \

=== debian/tests/control ===
Tests: smoke
Depends: clapper
Restrictions: allow-stderr, superficial
